#ifndef SLICECOUNTER_HH 
#define SLICECOUNTER_HH 1

#include "RequestManager.hh"
#include "Foundation.hh"

using libSlice::SliceData;
using libSlice::ConsensusData;

class SliceCounter : public RequestManager
{
public:
  SliceCounter();
  ~SliceCounter();

  void addSlice(SliceData * slice);

  int  printResults();
  static void handleOptions(Foundation * tf);

private:
  int m_gcount;
  int m_ucount;
};

#endif
